Package com.xebialabs.xlrelease.events

## Class PhaseCloseOperation

- java.lang.Object
- - com.xebialabs.xlrelease.events.PhaseCloseOperation

- All Implemented Interfaces:
    `XLReleaseOperation`, `java.io.Serializable`, `scala.Equals`, `scala.Product`

      public final class PhaseCloseOperation
      extends java.lang.Object
      implements XLReleaseOperation, scala.Product, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PhaseCloseOperation​(Phase phase)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PhaseClosingAction` | `action()` |
    `static PhaseCloseOperation` | `apply​(Phase phase)` |
    `boolean` | `canEqual​(java.lang.Object x$1)` |
    `PhaseCloseOperation` | `copy​(Phase phase)` |
    `Phase` | `copy$default$1()` |
    `boolean` | `equals​(java.lang.Object x$1)` |
    `PhaseClosedEvent` | `event()` |
    `int` | `hashCode()` |
    `Phase` | `phase()` |
    `int` | `productArity()` |
    `java.lang.Object` | `productElement​(int x$1)` |
    `java.lang.String` | `productElementName​(int x$1)` |
    `scala.collection.Iterator<java.lang.Object>` | `productIterator()` |
    `java.lang.String` | `productPrefix()` |
    `java.lang.String` | `toString()` |
    `static scala.Option<Phase>` | `unapply​(PhaseCloseOperation x$0)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Product

      `productElementNames`

- - ### Constructor Detail

    - #### PhaseCloseOperation

          public PhaseCloseOperation​(Phase phase)

  - ### Method Detail

    - #### apply

          public static PhaseCloseOperation apply​(Phase phase)

    - #### unapply

          public static scala.Option<Phase> unapply​(PhaseCloseOperation x$0)

    - #### phase

          public Phase phase()

    - #### action

          public PhaseClosingAction action()

      Specified by:
        `action` in interface `XLReleaseOperation`

    - #### event

          public PhaseClosedEvent event()

      Specified by:
        `event` in interface `XLReleaseOperation`

    - #### copy

          public PhaseCloseOperation copy​(Phase phase)

    - #### copy$default$1

          public Phase copy$default$1()

    - #### productPrefix

          public java.lang.String productPrefix()

      Specified by:
        `productPrefix` in interface `scala.Product`

    - #### productArity

          public int productArity()

      Specified by:
        `productArity` in interface `scala.Product`

    - #### productElement

          public java.lang.Object productElement​(int x$1)

      Specified by:
        `productElement` in interface `scala.Product`

    - #### productIterator

          public scala.collection.Iterator<java.lang.Object> productIterator()

      Specified by:
        `productIterator` in interface `scala.Product`

    - #### canEqual

          public boolean canEqual​(java.lang.Object x$1)

      Specified by:
        `canEqual` in interface `scala.Equals`

    - #### productElementName

          public java.lang.String productElementName​(int x$1)

      Specified by:
        `productElementName` in interface `scala.Product`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object x$1)

      Specified by:
        `equals` in interface `scala.Equals`
      Overrides:
        `equals` in class `java.lang.Object`